﻿$ErrorActionPreference = 'Stop'

$toolsPath   = Split-Path $MyInvocation.MyCommand.Definition
$download_dir = "$Env:TEMP\chocolatey\$packageName\$Env:ChocolateyPackageVersion"

$packageArgs = @{
  packageName    = 'universal-ctags'
  url            = 'https://github.com/universal-ctags/ctags-win32/releases/download/2021-09-11/p5.9.20210905.0-20-ge0efcd22/ctags-2021-09-11_p5.9.20210905.0-20-ge0efcd22-x86.zip'
  url64Bit       = 'https://github.com/universal-ctags/ctags-win32/releases/download/2021-09-11/p5.9.20210905.0-20-ge0efcd22/ctags-2021-09-11_p5.9.20210905.0-20-ge0efcd22-x64.zip'
  checksum       = '6D4F0294D247C5C2E5B073675E67B464D13F69388CB452EA8AA8A372721E5222'
  checksum64     = '6B6FF1ADF09A09ECADB29C2DA37CF8D7509D499E37C0E27759FFD67517D0964C'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = $toolsPath
}
Install-ChocolateyZipPackage @packageArgs
